import java.util.ArrayList;

public class scoreboard {
	private ArrayList<connection> keys = new ArrayList<connection>(); //player
	private ArrayList<Integer> values = new ArrayList<Integer>(); //score
	private ArrayList<Boolean> values2 = new ArrayList<Boolean>(); //guessedright
	
	public void add(connection key) {
		keys.add(key);
		values.add(0);
		values2.add(false);
	}
	
	public void add(connection key, int value) {
		keys.add(key);
		values.add(value);
		values2.add(false);
	}
	
	public void removeAt(int index) {
		keys.remove(index);
		values.remove(index);
		values2.remove(index);
	}
	
	public void remove(connection value) {
		for (int i = 0; i < keys.size(); i++) {
			if (keys.get(i) == value) {
				removeAt(i);
			}
		}
	}

	public connection getKeyAt(int index) {
		return keys.get(index);
	}

	public Integer getValueAt(int index) {
		return values.get(index);
	}
	
	public boolean getValue2At(int index) {
		return values2.get(index);
	}

	public int getValue(connection key) {
		for (int i = 0; i < keys.size(); i++) {
			if (keys.get(i) == key) {
				return getValueAt(i);
			}
		}
		return 0;
	}
	
	public boolean getValue2(connection key) {
		for (int i = 0; i < keys.size(); i++) {
			if (keys.get(i) == key) {
				return getValue2At(i);
			}
		}
		return false;
	}

	
	public void setValue(connection key, int element){
		for (int i = 0; i < keys.size(); i++) {
			if (keys.get(i) == key) {
				setValueAt(i, element);
			}
		}
	}
	
	public void setValue2(connection key, boolean element){
		for (int i = 0; i < keys.size(); i++) {
			if (keys.get(i) == key) {
				setValue2At(i, element);
			}
		}
	}
	
	public void setVKeyAt(int index, connection element) {
		keys.set(index, element);
	}
	
	public void setValueAt(int index, int element) {
		values.set(index, element);
	}
	
	public void setValue2At(int index, boolean element) {
		values2.set(index, element);
	}
	
	public void addToValue(connection key, int val) {
		setValue(key, getValue(key) + val);
	}
	
	public int getVal(connection key) {
		for (int i = 0; i < keys.size(); i++) {
			if (keys.get(i) == key) {
				return values.get(i);
			}
		}
		return -1;
	}
	
	public ArrayList<connection> getKeys() {
		return keys;
	}
	
	public ArrayList<String> getKeysAsString() {
		ArrayList<String> keyStrings = new ArrayList<String>();
		for (connection item : keys) {
			keyStrings.add(item.benutzer);
		}
		return keyStrings;
	}
	
	public ArrayList<Integer> getValues() {
		return values;
	}
	
	public ArrayList<Boolean> getValues2() {
		return values2;
	}

	public boolean allGuessed() {
		for (boolean item : values2) {
			if (!item) return false;
		}
		return true;
	}
	
	public int size() {
		return keys.size();
	}
	
	public String toString() {
		String s = "";
		for (int i = 0; i < keys.size(); i++) {
			s += getKeyAt(i).benutzer + "\t\t" + Integer.toString(getValueAt(i)) + "\t" + getValue2At(i) + "\n";
		}
		return s;
		
	}

}
