import java.util.ArrayList;

public class timer implements Runnable{
	private int seconds;
	private room currentRoom;
	int i;
	private int minus = 0;
	boolean hint1 = false;
	boolean hint2 = false;
	
	public timer(int s, ArrayList<connection> c, room r) {
		seconds = s;
		currentRoom = r;
	}
	
	@Override
	public void run() {
		for (i = seconds; i >= 0; i--) {
			if (minus > 0) {
				minus--;
				continue;
			}
			for (connection item : currentRoom.players.getKeys()) {
				item.send("time", new String[] {Integer.toString(i)});
			}
			if (!hint1 && i < (seconds / 3 * 2)) {
				currentRoom.sendHint();
				hint1 = true;
			}
			if (!hint2 && i < (seconds / 3 * 1)) {
				currentRoom.sendHint();
				hint2 = true;
			}
			wait(1000);
		}
		currentRoom.stopDraw();
	}
	
	public int getCurrentSeconds() {
		return i;
	}
	
	public int getTotalSeconds() {
		return seconds;
	}
	
	public void setTo0() {
		i = 0;
	}
	
	public void guessRight() {
		minus = seconds / currentRoom.players.size();
		System.out.println(minus);
	}
	
	private void wait(int t) {
		try {Thread.sleep(t);} 
		catch (InterruptedException e) {e.printStackTrace();}
	}
	
}
