import java.util.Scanner;

public class debug implements Runnable {
	String fullcommand;
	String[] command;
	int columnWidth = 20;

	@Override
	public void run() {
		Scanner input = new Scanner(System.in);
		String help = " Hilfe:\r\n" + " list <option> [<option2>] [<option3>]\r\n" + "  - rooms\r\n" + "  - players\r\n"
				+ "  - connections\r\n" + "  - <room>\r\n" + "     - players\r\n" + "     - scores\r\n" + " \r\n"
				+ " get\r\n" + "  - version\r\n" + "  - count\r\n" + "     - connections\r\n" + "     - rooms\r\n" 
				+ "  - <room>\r\n" + "     - roundcount\r\n" + "     - currentDrawer\r\n"
				+ "     - scoreboard\r\n" + "     - seconds\r\n" + " \r\n"
				+ " reloadplayers\r\n" + "  - <room>\r\n" + " \r\n" + " guessright \r\n" + "  - <room>\r\n" + " \r\n"
				+ " \r\n" + " help\r\n";

		while (true) {
			try {
				fullcommand = input.nextLine();
				command = fullcommand.split(" ");
				switch (command[0]) {
				case "list":
					boolean b = false;
					for (room r : mainClass.roomList) {
						if (command[1].equalsIgnoreCase(r.name)) {
							switch (command[2]) {
							case "players":
								System.out.println(columnSizer("Benutzer"));
								for (connection item : r.players.getKeys()) {
									System.out.println(item.benutzer);
								}
								break;
							case "scores":
								System.out.println(columnSizer("Benutzer") + columnSizer("Score"));
								for (int i = 0; i < r.players.getKeys().size(); i++) {
									System.out.println(
											columnSizer(r.players.getKeyAt(i).benutzer) + r.players.getValueAt(i));
								}
								break;
							default:
								invalidCommand();
								break;
							}
							b = true;
						}

					}
					if (b)
						break;
					switch (command[1]) {
					case "rooms":
						for (room item : mainClass.roomList) {
							System.out.println(item.name);
						}
						break;
					case "players":
					case "connections":
						System.out.print(columnSizer("ThreadID"));
						System.out.print(columnSizer("Benutzer"));
						System.out.print(columnSizer("Raum"));
						System.out.println(columnSizer("currentDrawer"));
						for (connection item : mainClass.conList) {
							System.out.print(columnSizer(Integer.toString(item.threadID)));
							System.out.print(columnSizer(item.benutzer));
							System.out.print(columnSizer(item.room.name));
							System.out.println(item.currentDrawer);
						}
						break;
					default:
						invalidCommand();
						break;
					}
					break;
				case "get":
					if (getRoom(command[1]) != null) {
						switch (command[2]) {
						case "roundcount":
							System.out.println(getRoom(command[1]).totalRoundCount);
							break;
						case "currentdrawer":
							System.out.println(getRoom(command[1]).currentDrawer.benutzer);
							break;
						case "scoreboard":
							System.out.println(getRoom(command[1]).players.toString());
							break;
						case "seconds":
							System.out.println(getRoom(command[1]).roundTimer.getCurrentSeconds());
							break;
						default:
							invalidCommand();
							break;
						}

						break;
					}
					
					switch (command[1]) {
					case "version":
						System.out.println(mainClass.VERSION);
						break;
					case "count":
						switch (command[2]) {
						case "connections":
							System.out.println(mainClass.conList.size());
							break;
						case "rooms":
							System.out.println(mainClass.roomList.size());
							break;
						default:
							invalidCommand();
							break;
						}
						break;

					default:
						invalidCommand();
						break;
					}
					break;
				case "reloadplayers":
					getRoom(command[1]).reloadPlayers();
					System.out.println("Spieler von room " + getRoom(command[1]).name + " neu geladen!");
					break;
				case "guessright":
					getRoom(command[1]).roundTimer.guessRight();
					System.out.println("guessright in room " + getRoom(command[1]).name + " ausgefhrt!");
					break;
				case "help":
					System.out.println(help);
					break;
				default:
					invalidCommand();
					break;
				}
			} catch (Exception ex) {
				System.err.println(ex);
			}
		}

	}

	private room getRoom(String roo) {
		for (room r : mainClass.roomList) {
			if (command[1].equalsIgnoreCase(r.name)) {
				System.out.println(r.name);
				return r;
			}
		}
		return null;
	}

	private void invalidCommand() {
		System.out.println("\"" + fullcommand + "\" ist kein gltiger Befehl!");
	}

	private String columnSizer(String text) {
		for (int i = columnWidth - text.length(); i > 0; i--) {
			text += " ";
		}
		return text;
	}

}
